## com.sun.jersey.api.uri
Class UriBuilderImpl

    java.lang.Object
      javax.ws.rs.core.UriBuilder
          com.sun.jersey.api.uri.UriBuilderImpl

    public class UriBuilderImpl

extends javax.ws.rs.core.UriBuilder

An implementaton of `UriBuilder`.

Author:
  Paul Sandoz, Martin Matula (martin.matula at oracle.com)

Constructor Summary
`UriBuilderImpl()`

Method Summary
`java.net.URI` `build(java.lang.Object... values)`
`java.net.URI` `buildFromEncoded(java.lang.Object... values)`
`java.net.URI` `buildFromEncodedMap(java.util.Map<java.lang.String,? extends java.lang.Object> values)`
`java.net.URI` `buildFromMap(java.util.Map<java.lang.String,? extends java.lang.Object> values)`
`javax.ws.rs.core.UriBuilder` `clone()`
`javax.ws.rs.core.UriBuilder` `fragment(java.lang.String fragment)`
`javax.ws.rs.core.UriBuilder` `host(java.lang.String host)`
`javax.ws.rs.core.UriBuilder` `matrixParam(java.lang.String name, java.lang.Object... values)`
`javax.ws.rs.core.UriBuilder` `path(java.lang.Class resource)`
`javax.ws.rs.core.UriBuilder` `path(java.lang.Class resource, java.lang.String methodName)`
`javax.ws.rs.core.UriBuilder` `path(java.lang.reflect.Method method)`
`javax.ws.rs.core.UriBuilder` `path(java.lang.String path)`
`javax.ws.rs.core.UriBuilder` `port(int port)`
`javax.ws.rs.core.UriBuilder` `queryParam(java.lang.String name, java.lang.Object... values)`
`javax.ws.rs.core.UriBuilder` `replaceMatrix(java.lang.String matrix)`
`javax.ws.rs.core.UriBuilder` `replaceMatrixParam(java.lang.String name, java.lang.Object... values)`
`javax.ws.rs.core.UriBuilder` `replacePath(java.lang.String path)`
`javax.ws.rs.core.UriBuilder` `replaceQuery(java.lang.String query)`
`javax.ws.rs.core.UriBuilder` `replaceQueryParam(java.lang.String name, java.lang.Object... values)`
`javax.ws.rs.core.UriBuilder` `scheme(java.lang.String scheme)`
`javax.ws.rs.core.UriBuilder` `schemeSpecificPart(java.lang.String ssp)`
`javax.ws.rs.core.UriBuilder` `segment(java.lang.String... segments)`
`javax.ws.rs.core.UriBuilder` `uri(java.net.URI uri)`
`javax.ws.rs.core.UriBuilder` `userInfo(java.lang.String ui)`

Methods inherited from class javax.ws.rs.core.UriBuilder
`fromPath, fromResource, fromUri, fromUri, newInstance`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UriBuilderImpl

    public UriBuilderImpl()

Method Detail

### clone

    public javax.ws.rs.core.UriBuilder clone()

  Overrides:
    `clone` in class `javax.ws.rs.core.UriBuilder`

### uri

    public javax.ws.rs.core.UriBuilder uri(java.net.URI uri)

  Specified by:
    `uri` in class `javax.ws.rs.core.UriBuilder`

### scheme

    public javax.ws.rs.core.UriBuilder scheme(java.lang.String scheme)

  Specified by:
    `scheme` in class `javax.ws.rs.core.UriBuilder`

### schemeSpecificPart

    public javax.ws.rs.core.UriBuilder schemeSpecificPart(java.lang.String ssp)

  Specified by:
    `schemeSpecificPart` in class `javax.ws.rs.core.UriBuilder`

### userInfo

    public javax.ws.rs.core.UriBuilder userInfo(java.lang.String ui)

  Specified by:
    `userInfo` in class `javax.ws.rs.core.UriBuilder`

### host

    public javax.ws.rs.core.UriBuilder host(java.lang.String host)

  Specified by:
    `host` in class `javax.ws.rs.core.UriBuilder`

### port

    public javax.ws.rs.core.UriBuilder port(int port)

  Specified by:
    `port` in class `javax.ws.rs.core.UriBuilder`

### replacePath

    public javax.ws.rs.core.UriBuilder replacePath(java.lang.String path)

  Specified by:
    `replacePath` in class `javax.ws.rs.core.UriBuilder`

### path

    public javax.ws.rs.core.UriBuilder path(java.lang.String path)

  Specified by:
    `path` in class `javax.ws.rs.core.UriBuilder`

### path

    public javax.ws.rs.core.UriBuilder path(java.lang.Class resource)

  Specified by:
    `path` in class `javax.ws.rs.core.UriBuilder`

### path

    public javax.ws.rs.core.UriBuilder path(java.lang.Class resource,
                                            java.lang.String methodName)

  Specified by:
    `path` in class `javax.ws.rs.core.UriBuilder`

### path

    public javax.ws.rs.core.UriBuilder path(java.lang.reflect.Method method)

  Specified by:
    `path` in class `javax.ws.rs.core.UriBuilder`

### segment

    public javax.ws.rs.core.UriBuilder segment(java.lang.String... segments)
                                        throws java.lang.IllegalArgumentException

  Specified by:
    `segment` in class `javax.ws.rs.core.UriBuilder`
  Throws:
    `java.lang.IllegalArgumentException`

### replaceMatrix

    public javax.ws.rs.core.UriBuilder replaceMatrix(java.lang.String matrix)

  Specified by:
    `replaceMatrix` in class `javax.ws.rs.core.UriBuilder`

### matrixParam

    public javax.ws.rs.core.UriBuilder matrixParam(java.lang.String name,
                                                   java.lang.Object... values)

  Specified by:
    `matrixParam` in class `javax.ws.rs.core.UriBuilder`

### replaceMatrixParam

    public javax.ws.rs.core.UriBuilder replaceMatrixParam(java.lang.String name,
                                                          java.lang.Object... values)

  Specified by:
    `replaceMatrixParam` in class `javax.ws.rs.core.UriBuilder`

### replaceQuery

    public javax.ws.rs.core.UriBuilder replaceQuery(java.lang.String query)

  Specified by:
    `replaceQuery` in class `javax.ws.rs.core.UriBuilder`

### queryParam

    public javax.ws.rs.core.UriBuilder queryParam(java.lang.String name,
                                                  java.lang.Object... values)

  Specified by:
    `queryParam` in class `javax.ws.rs.core.UriBuilder`

### replaceQueryParam

    public javax.ws.rs.core.UriBuilder replaceQueryParam(java.lang.String name,
                                                         java.lang.Object... values)

  Specified by:
    `replaceQueryParam` in class `javax.ws.rs.core.UriBuilder`

### fragment

    public javax.ws.rs.core.UriBuilder fragment(java.lang.String fragment)

  Specified by:
    `fragment` in class `javax.ws.rs.core.UriBuilder`

### buildFromMap

    public java.net.URI buildFromMap(java.util.Map<java.lang.String,? extends java.lang.Object> values)

  Specified by:
    `buildFromMap` in class `javax.ws.rs.core.UriBuilder`

### buildFromEncodedMap

    public java.net.URI buildFromEncodedMap(java.util.Map<java.lang.String,? extends java.lang.Object> values)
                                     throws java.lang.IllegalArgumentException,
                                            javax.ws.rs.core.UriBuilderException

  Specified by:
    `buildFromEncodedMap` in class `javax.ws.rs.core.UriBuilder`
  Throws:
    `java.lang.IllegalArgumentException`
    `javax.ws.rs.core.UriBuilderException`

### build

    public java.net.URI build(java.lang.Object... values)

  Specified by:
    `build` in class `javax.ws.rs.core.UriBuilder`

### buildFromEncoded

    public java.net.URI buildFromEncoded(java.lang.Object... values)

  Specified by:
    `buildFromEncoded` in class `javax.ws.rs.core.UriBuilder`

Copyright © 2017 Oracle Corporation. All Rights Reserved.